/* ###########  public style ###########  */
@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans&display=swap");

*{
  margin: 0;
  padding: 0;
}

.row {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

a {
  text-decoration: none;
}

ul {
  list-style-type: none;
}

.container {
  width: 70%;
  margin: auto;
}

@media screen and (max-width: 991px){
 .container{
  width: 90%;
  }
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Josefin Sans", sans-serif;
}

/* ########### start navbar  ########### */

nav {
  background-color: #fff;
  padding: 2%;
  position: sticky;
  top: 0;
  z-index: 9999;
  box-shadow: 1px 1px 20px 5px #6e575752;
}

.navbar .logo {
  width: 20%;
}

.navbar .nav-list {
  width: 60%;
}

.navbar .nav-list .list-item {
  margin-right: 20px;
  position: relative;
}

.navbar .nav-list .list-item:nth-child(4)::after {
  bottom: 20px;
  content: "HOT";
  position: absolute;
  left: 32px;
  background-color: red;
  color: #fff;
  padding: 5px;
  font-size: 13px;
  border-radius: 10px;
}

.navbar .nav-list .list {
  display: flex;
  justify-content: center;
}

.dropdown {
  position: absolute;
  width: 100px;
  text-align: center;
  top: 40px;
  left: -15px;
  padding: 15px;
  border-top: 2px solid red;
  border-radius: 5px;
  background-color: #fff;
  opacity: 0;
  visibility: hidden;
  transition: top 0.5s;
}

.dropdown::before {
  content: "";
  position: absolute;
  border-left: 10px solid transparent;
  border-right: 10px solid transparent;
  border-top: 10px solid transparent;
  border-bottom: 10px solid red;
  bottom: 80px;
  left: 20px;
}

.navbar .nav-list .list-item:hover .dropdown {
  opacity: 1;
  visibility: visible;
  top: 57px;
}

.dropdown .dropdown-item {
  padding-bottom: 10px;
}

.dropdown .dropdown-link {
  color: #141517;
}

.navbar .list-item .nav-link {
  padding-right: 15px;
  color: #141517;
  transition: color 0.4s;
}

.navbar .nav-list .list-item:hover .nav-link {
  color: red;
}

.navbar .nav-icons {
  width: 20%;
  text-align: right;
  color: #141517;
}

.navbar .nav-icons .nav-icon {
  color: #141517;
  margin-left: 15px;
  transition: color .3s;
}

.navbar .nav-icons .nav-icon:hover{
  color:red ;
}

label,
#inputchecked {
  display: none;
}

@media screen and (max-width: 991px) {
  .navbar .nav-list .list {
    display: block;
  }

  .navbar .nav-list .list-item:nth-child(4)::after {
    display: none;
  }

  .navbar .nav-list {
    background-color: #333;
    position: absolute;
    top: 76px;
    left: 150px;
    padding: 10px;
    width: 80%;
    opacity: 0;
    visibility: hidden;
  }

  .navbar .nav-list .list-item:hover .dropdown {
    display: none;
  }

  .navbar .nav-list .list-item:hover .nav-link {
    color: #fff;
  }

  .navbar .list-item .nav-link {
    color: #fff;
  }

  .navbar .nav-list .list-item {
    margin-right: 0px;
    margin-bottom: 10px;
  }

  .navbar .nav-icons {
    width: 20%;
    margin-right: 65px;
  }

  .navbar .nav-icons .nav-icon {
    width: 3%;
  }

  label {
    display: block;
    order: 1;
  }

  #inputchecked:checked + .nav-list {
    opacity: 1;
    visibility: visible;
    transition: opacity 0.5s;
  }
}

@media screen and (max-width: 575px) {
  .navbar .logo {
    width: 25%;
  }

  .logo img {
    width: 100%;
  }

  .navbar .nav-icons {
    width: 35%;
  }
}

/* ########### end navbar  ########### */

/* ########### start header  ########### */
header {
  background-color: #f0f0f2;
}

.header-content {
  width: 60%;
  animation-name: contentLeft;
  animation-duration: 2s;
}

header .container {
  overflow: hidden;
}

.header-content h1 {
  font-size: 96px;
  font-weight: 700;
  line-height: 1.2;
  color: #0b1c39;
  animation-name: headerLeft;
  animation-duration: 2s;
}

@keyframes headerLeft {
  0% {
    transform: translatex(-100%);
  }

  100% {
    transform: translatex(0%);
  }
}

.header-content p {
  font-size: 17px;
  line-height: 1.6;
  font-weight: 400;
  margin-bottom: 39px;
  color: #212025;
  margin: 20px 0;
  animation-name: paraLeft;
  animation-duration: 4s;
}

@keyframes paraLeft {
  0% {
    transform: translatex(-100%);
  }

  100% {
    transform: translatex(0%);
  }
}

button {
  position: relative;
  color: #fff;
  background-color: red;
  padding: 15px 30px;
  font-size: 18px;
  border: 0;
  z-index: 1;
}

.header-content button {
  animation-name: buttonLeft;
  animation-duration: 2s;
}

@keyframes buttonLeft {
  0% {
    transform: translatex(-100%);
  }

  100% {
    transform: translatex(0%);
  }
}

button::before {
  content: "";
  position: absolute;
  width: 0%;
  height: 100%;
  background-color: #333;
  top: 0px;
  left: 0px;
  z-index: -1;
  transition: width 0.5s;
}

button:hover::before {
  width: 100%;
}

header .header-image {
  animation-name: clock;
  animation-duration: 1.5s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
  width: 30%;
}

@keyframes clock {
  0% {
    transform: scale(1);
  }

  100% {
    transform: scale(1.1);
  }
}

@media screen and (max-width: 991px) {
  .header-content h1 {
    font-size: 48px;
  }

  header .header-image {
    width: 25%;
  }

  header .header-image img {
    width: 100%;
  }
}

@media screen and (max-width: 575px) {
  header .header-image {
    display: none;
  }

  .header-content {
    width: 100%;
    margin: 10% 0;
  }
}

/* ########### end header  ########### */

/* ########### start arrivals  ########### */

.Arrivals {
  margin: 10% 0;
}

.Arrivals h2 {
  color: #000;
  font-size: 48px;
  font-weight: 700;
  line-height: 1;
  margin: 5% 0;
}

.Arrivals .caption {
  text-align: center;
}

.Arrivals .caption a {
  color: #444444;
  font-weight: 700;
  font-size: 24px;
  margin-bottom: 12px;
  display: block;
}

.Arrivals .caption span {
  color: #ff2020;
  font-size: 18px;
  font-weight: 500;
  display: block;
  font-family: "Josefin Sans", sans-serif;
}

.Arrivals .product {
  width: 32%;
}

.Arrivals .over-img {
  overflow: hidden;
}

.Arrivals .product img {
  width: 100%;
  transition: transform 0.5s;
}

.Arrivals .product:hover img {
  transform: scale(1.1);
}


@media screen and (max-width: 575px) {
  .Arrivals .row {
    display: block;
  }
  .Arrivals .product {
    width: 100%;
    margin: 10% 0;
  } 
  
}

/* ########### end arrivals  ########### */

/* ########### start gallary  ########### */

.gallary .gallary-row {
  display: flex;
  gap: 20px;
}

.gallary .gallary-row .gallary-img {
  width: 25%;
  height: 680px;
  object-fit: cover;
  overflow: hidden;
  position: relative;
}

.gallary .gallary-img img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  transform: scale(1.2);
  transition: transform 0.5s;
}

.gallary .gallary-img:nth-child(1):hover img {
  transform: scale(1.1);
}

.gallary .gallary-img:nth-child(2):hover img {
  transform: scale(1.1);
}

.overlay {
  opacity: 0;
  transition: opacity 0.5s;
}

.gallary .gallary-img:nth-child(1):hover .overlay {
  position: absolute;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0.5;
}

.gallary .gallary-img:nth-child(2):hover .overlay {
  position: absolute;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0.5;
}

.gallary .gallary-row .gallary-img:nth-child(1) {
  width: 50%;
}

.gallary .gallary-img:nth-child(3) .gallary-colomn {
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.gallary .gallary-img:nth-child(3) .gallary-colomn .gallary-img {
  width: 100%;
  height: 330px;
}

@media screen and (max-width: 991px){

  .gallary .gallary-row {
    flex-wrap: wrap;
    gap: 4.5%;
  }

  .gallary .gallary-row .gallary-img {
    width: 47%;
  }

  .gallary .gallary-row .gallary-img:nth-child(1) {
    width: 48%;
  } 

  .gallary .gallary-img:nth-child(3){
    width: 100%;
    margin-top: 5%;
    height: 330px;
  }

  .gallary .gallary-img:nth-child(3) .gallary-colomn {
    flex-direction: row;
    gap: 4%;
  }

}

@media screen and (max-width: 575px) {
    .gallary .gallary-row {
        display: block;
      }
   
      .gallary .gallary-row .gallary-img {
        margin-bottom: 30px;
        width: 100%;
      }

      .gallary .gallary-row .gallary-img:nth-child(1) {
        width: 100%;
      }

      .gallary .gallary-img:nth-child(3) .gallary-colomn {
        gap: 0px;
      }
  }
  
/* ########### end gallary  ########### */

/* ########### start popular  ########### */

.popular h2 {
  color: #000;
  font-size: 48px;
  font-weight: 700;
  line-height: 1;
}

.popular p {
  font-family: "Roboto", sans-serif;
  color: #777;
  font-size: 16px;
  line-height: 30px;
  margin-bottom: 15px;
  font-weight: normal;
}

.popular {
  margin-top: 7%;
}

.popular .title {
  text-align: center;
  width: 35%;
  margin: auto;
  margin-bottom: 5%;
}

.popular .row {
  flex-wrap: wrap;
}

.popular .product {
  width: 30%;
  margin-bottom: 5%;
  position: relative;
  overflow: hidden;
}

.popular .product img {
  width: 100%;
  border-bottom: 4px solid #ff2020;
}

.popular .product .fa-heart {
  position: absolute;
  top: 5%;
  right: 5%;
  font-size: 25px;
  color: #333;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.5s;
}

.popular .product:hover .fa-heart {
  opacity: 1;
  visibility: visible;
}

.popular .product .popular-img {
  position: relative;
  overflow: hidden;
}

.popular .product a {
  position: absolute;
  background-color: #ff2020;
  width: 90%;
  bottom: -20%;
  left: 0;
  padding: 5%;
  text-align: center;
  color: #fff;
  font-size: 20px;
  font-weight: 800;
  transition: bottom 0.5s;
}

.popular .product .popular-img:hover a {
  bottom: 0;
}

.popular .product .popular-description {
  text-align: center;
  padding-top: 5%;
}

.popular .product .popular-description h3 {
  color: #444444;
  font-weight: 700;
  font-size: 24px;
  margin-bottom: 12px;
}

.popular .product .popular-description span {
  color: #444444;
  font-size: 18px;
  font-weight: 500;
  display: block;
}

.popular button {
  margin: auto;
  display: block;
}


@media screen and (max-width: 991px){
  .popular h2 {
    font-size: 30px;
    line-height: 1.5;
  }
  
.popular .title {
width: 90%;
  }
  
  .popular .product {
    width: 50%;
  }

  .popular button {
    margin-top: 10%;

  }
}

@media screen and (max-width: 575px){

    .popular h2 {
        font-size: 30px;
        line-height: 1.5;
      }
      
    .popular .title {
width: 90%;
      }
      
      .popular .product {
        width: 100%;
      }

      .popular button {
        margin-top: 10%;

      }
}

/* ########### end popular  ########### */

/* ########### start video area  ########### */

.video-area {
  margin-top: 10%;
  background-image: url("../img/sectin_bg1.png.webp");
  width: 100%;
  height: 700px;
  background-size: cover;
  position: relative;
}

.video-area:hover .overlay {
  position: absolute;
  background-color: #333;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  opacity: 0.5;
}

.video-area .playVideo-button{
  width: 85px;
  height: 85px;
  position:absolute;
  top: 50%;
  right: 50%;
  color: #fff;
  font-size: 30px;
border: 1px solid #fff;
border-radius: 100%;
text-align: center;
transition: color .5s , background-color .5s
}

.video-area .playVideo-button .fa-play{
  padding-top: 33%;
  padding-left: 5%;
}

.video-area .playVideo-button:hover{
  color: red;
  background-color: #fff;
}

/* ########### end video area  ########### */

/* ########### start choices  ########### */

.watch-choice {
  margin-top: 10%;
}

.watch-choice .choice-colomn {
  display: flex;
  flex-direction: column;
}

.watch-choice .choice-colomn .choice {
  display: flex;
  align-items: center;
  margin-bottom: 15%;
  justify-content: center;
  gap: 5%;
}

.watch-choice .choice-colomn .choice .caption {
  width: 40%;
}

.watch-choice .choice-colomn .choice .caption h2 {
  color: #000;
  font-size: 56px;
  font-weight: 700;
  line-height: 1;
  margin-bottom: 40px;
}

.watch-choice .choice-colomn .choice .caption p {
  font-family: "Roboto", sans-serif;
  color: #777;
  line-height: 30px;
  margin-bottom: 15px;
}

.watch-choice .choice-colomn .choice .choice-img {
  width: 45%;
}

.watch-choice .choice-colomn .choice .choice-img img {
  width: 100%;
  margin: 10% 0;
}

@media screen and (max-width: 991px){

.watch-choice .choice-colomn .choice .caption {
    width: 100%;
  }

  .watch-choice .choice-colomn .choice .caption h2 {
    font-size: 30px;
  }

  .watch-choice .choice-colomn .choice .choice-img {
    width: 100%;
  }
}

@media screen and (max-width: 575px){

    .watch-choice .choice-colomn .choice {
        display: block;
      }

    .watch-choice .choice-colomn .choice .caption {
        width: 100%;
      }

      .watch-choice .choice-colomn .choice .caption h2 {
        font-size: 30px;
      }

      .watch-choice .choice-colomn .choice .choice-img {
        width: 100%;
      }
}
/* ########### end choices  ########### */

/* ########### start box  ########### */

.box {
  width: 90%;
  margin: auto;
  margin-top: 5%;
}

.box .option {
  width: 25%;
  padding: 5%;
  background-color: red;
}

.box .option i {
  font-size: 40px;
  color: #ffff;
  margin-bottom: 25px;
}

.box .option h2 {
  color: #fff;
  font-size: 20px;
  font-weight: 700;
  line-height: 1.2;
  margin-bottom: 12px;
  font-family: "Roboto", sans-serif;
}

.box .option p {
  color: #d3d1d1;
}

@media screen and (max-width: 991px){

  .box {
    width: 100%;
  }

  .box .option {
    width: 40%;
    margin-bottom: 10%;
  }

.box .row{
display: flex;
flex-wrap: wrap;
background-color: red;
}

}

@media screen and (max-width: 575px){
    .box {
        width: 100%;
      
      }

      .box .option {
        width: 70%;
        margin-bottom: 10%;
      }

.box .row{
    display: inline-block;
    background-color: red;
}

}
/* ########### end box  ########### */

/* ########### start link  ########### */

.links{
    width: 90%;
    margin: auto;
    margin-top: 10%;
}

.links .row .link-list {
    width: 20%;
    line-height: 1.5;
  }

.links .row .link-list img{
    margin-bottom: 20px;
}

  .links .link-list h4{
    color: #000;
    font-size: 20px;
    margin-bottom: 20px;
    font-weight: 500;
    text-transform: capitalize;
    font-family: "Roboto",sans-serif;
}

.links .row .link-list p{
    color: #868c98;
    font-size: 16px;
    margin-bottom: 50px;
    line-height: 1.8;
}

.links .link-list ul li a {
    color: #868c98;
    font-weight: 300;
    line-height: 2.8;
}

.links .row {
  align-items: flex-start;
  
}


@media screen and (max-width: 575px){

  .links{
    margin-top: 20%;
}

  .links .row{
    display: block;
  }

.links .row .link-list {
  width: 100%;
}
}

/* ########### end link  ########### */


/* ########### start footer  ########### */

.footer{
    width: 90%;
    margin: auto;
    height: 100px;
}

.footer .container{
    margin-top: 5%;
}

.footer p{
    color: #888888;
    font-weight: 300;

    font-size: 16px;
    line-height: 2;
    margin-bottom: 20px;
}

.footer .fa-heart{
    color:red;
  
}

.footer .footer-icons a{
color: #000;
}

.footer .footer-icons a i{
    margin-left: 15px;
    transition: color .5s , transform .5s;
    }

    .footer .footer-icons a:hover i{
        color: red;
        transform: rotatey(180deg);
    }


    @media screen and (max-width: 991px){
      .footer p{
        font-size: 13px;
    }
    }

    @media screen and (max-width: 575px){
      .footer .row{
        display: block;
      }
    }
/* ########### end footer  ########### */
